oRTP 0.25.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_ortp_extremum Struct Reference

`#include <str_utils.h>`

## Data Fields
float | current_extremum
float | last_stable
uint64_t | extremum_time
int | period

## Detailed Description

Utility object to determine a maximum or minimum (but not both at the same time), of a signal during a sliding period of time.

The documentation for this struct was generated from the following file:

- include/ortp/str_utils.h